## eloquent 0.2

=== Makefile ===
PROJECT_NAME = eloquent
POSTGRES_PORT = 5415

default: $(PROJECT_NAME).crt postgres.crt

DOCKER_USER = dash
DOCKER_PATH = /var/lib/$(PROJECT_NAME)/node_modules/.bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
DOCKER_PYTHONPATH = /var/lib/$(PROJECT_NAME)

dist:
	docker-compose exec -T --user $(DOCKER_USER) app tools/make-dist $(VERSION) | tar xCvv /tmp

manage-%:
	docker-compose exec --user $(DOCKER_USER) app ./manage.py $*

migrate:
	docker-compose exec --user $(DOCKER_USER) app ./manage.py migrate

rebuild-migrations:
	docker-compose exec --user $(DOCKER_USER) app find . -path "./elo/migrations/*.py" -not -name "__init__.py" -delete
	docker-compose exec --user $(DOCKER_USER) app find . -path "./elo/migrations/*.pyc"  -delete
	$(MAKE) migrate
	$(MAKE) manage-makemigrations
	$(MAKE) migrate

superuser:
	docker-compose exec --user $(DOCKER_USER) app ./manage.py createsuperuser --email admin@localhost --username admin --noinput

frontend-tests:
	docker-compose exec --user $(DOCKER_USER) app npx wdio wdio.conf.js

backend-tests:
	docker-compose exec --user $(DOCKER_USER) app ./manage.py test

root:
	docker-compose exec app bash

bash:
	docker-compose exec --user $(DOCKER_USER) app env 'PATH=$(DOCKER_PATH)' 'PYTHONPATH=$(DOCKER_PYTHONPATH)' bash

docker: clean
	docker-compose down
	docker-compose build --pull
	docker system prune -f
	docker-compose up -d

psql: postgres.crt $(PROJECT_NAME).crt $(PROJECT_NAME).key
	exec psql 'user=$(PROJECT_NAME) host=localhost port=$(POSTGRES_PORT) sslmode=verify-full sslcert=$(PROJECT_NAME).crt sslkey=$(PROJECT_NAME).key sslrootcert=postgres.crt'

initdb:
	docker-compose exec --user postgres app createuser -d $(PROJECT_NAME)
	docker-compose exec --user postgres app createdb -O $(PROJECT_NAME) $(PROJECT_NAME)

dropdb:
	docker-compose exec --user postgres app dropdb --if-exists $(PROJECT_NAME)
	docker-compose exec --user postgres app dropdb --if-exists test_$(PROJECT_NAME)
	docker-compose exec --user postgres app dropuser --if-exists $(PROJECT_NAME)

testdb:
	$(MAKE) dropdb
	$(MAKE) initdb
	$(MAKE) migrate
	#docker-compose exec --user $(DOCKER_USER) app ./manage.py loaddata fixtures
	docker-compose exec --user $(DOCKER_USER) app ./manage.py loaddata config/language.json
	docker-compose exec --user $(DOCKER_USER) app ./manage.py loaddata config/dialect.json
	docker-compose exec --user $(DOCKER_USER) app ./manage.py loaddata config/domain.json
	docker-compose exec --user $(DOCKER_USER) app ./manage.py loaddata config/word.json

demodb: testdb
	#docker-compose exec --user $(DOCKER_USER) app ./manage.py loaddata extra-fixtures

postgres.crt:
	docker-compose exec -T app cat /etc/postgresql/13/main/server.crt >$@.tmp
	test -s $@.tmp && mv $@.tmp $@

$(PROJECT_NAME).crt: $(PROJECT_NAME).csr
	docker-compose exec -T app openssl x509 -req -days 9999 -CA /etc/postgresql/13/main/ca.crt -CAkey /etc/postgresql/13/main/ca.key -CAcreateserial <$< >$@.tmp
	test -s $@.tmp && mv $@.tmp $@

$(PROJECT_NAME).csr: $(PROJECT_NAME).key
	openssl req -new -utf8 -subj /CN=$(PROJECT_NAME) -key $< -verify -out $@

$(PROJECT_NAME).key:
	umask 027 && openssl genrsa -out $@ 2048

factory-reset:
	$(MAKE) docker
	$(MAKE) demodb

tail:
	docker-compose exec app tail -F /var/log/apache2/error.log /var/log/apache2/access.log

clean:
	rm -f postgres.crt $(PROJECT_NAME).crt $(PROJECT_NAME).csr $(PROJECT_NAME).key

.PHONY: default dist dev prod watch manage-% migrate frontend-tests docker psql initdb dropdb testdb demodb clean rebuild-migrations tail

## eloquent 0.0

=== debian/changelog ===
eloquent (0.0) stable; urgency=medium

  * Initial release. 

 -- Hans van den Dool <h.m.vdndool@tilburguniversity.edu>  Fri, 17 Sep 2021 16:58:03 +0200

=== debian/control ===
Source: eloquent
Section: web
Priority: optional
Maintainer: Hans van den Dool <h.m.vdndool@tilburguniversity.edu>
Build-Depends:
	debhelper,
	dh-python,
	python3,
	python3-setuptools,
	apache2-dev,
Standards-Version: 4.4.1.2

Package: eloquent
Architecture: all
Depends:
	${python3:Depends},
	${misc:Depends},
	makepasswd,
	python3-asgiref,
	python3-psycopg2,
	python3-django (>= 2:2),
	python3-django-crispy-forms,
	python3-django-filters,
	python3-django-tables2,
	python3-html5-parser,
	python3-sqlparse,
Recommends:
	${misc:Recommends},
	apache2,
	libapache2-mod-wsgi-py3,
Description: Tilburg University Django demo application
 Demonstration / template package for Django applications at
 Tilburg University.

## eloquent 0.1

=== debian/changelog ===
eloquent (0.1) stable; urgency=medium

  * Fixed. 

 -- Hans van den Dool <hvddool@uvt.nl>  Tue, 12 Oct 2021 12:05:54 +0200

## eloquent 0.2

=== debian/changelog ===
eloquent (0.2) stable; urgency=medium

  * Fixed python-path.

 -- Hans van den Dool <hvddool@uvt.nl>  Tue, 12 Oct 2021 16:15:46 +0200

## eloquent 0.3

=== debian/changelog ===
eloquent (0.3) stable; urgency=medium

  * Better python-path.

 -- Hans van den Dool <hvddool@uvt.nl>  Tue, 12 Oct 2021 16:42:25 +0200

## eloquent 0.4

=== debian/changelog ===
eloquent (0.4) stable; urgency=medium

  * Removed python3-django-timezone-field.
  * Added makemigrations.

 -- Hans van den Dool <hvddool@uvt.nl>  Tue, 12 Oct 2021 16:55:22 +0200

## eloquent 0.5

=== debian/changelog ===
eloquent (0.5) stable; urgency=medium

  * Fixed BASE_DIR.

 -- Hans van den Dool <hvddool@uvt.nl>  Tue, 12 Oct 2021 17:11:18 +0200

## eloquent 0.8

=== debian/changelog ===
eloquent (0.8) stable; urgency=medium

  * Updated Makefile and filters. 
  * Removed buttons.
  * Added practice words list.

 -- Hans van den Dool <hvddool@uvt.nl>  Thu, 14 Oct 2021 11:12:25 +0200

eloquent (0.7) stable; urgency=medium

  * Rebuild migrations.

 -- Hans van den Dool <hvddool@uvt.nl>  Wed, 13 Oct 2021 16:26:42 +0200

eloquent (0.6) stable; urgency=medium

  * Moved makemigrations.

 -- Hans van den Dool <hvddool@uvt.nl>  Wed, 13 Oct 2021 16:10:57 +0200

## eloquent 0.9

=== debian/changelog ===
eloquent (0.9) stable; urgency=medium

  * Updated settings.py.

 -- Hans van den Dool <hvddool@uvt.nl>  Thu, 14 Oct 2021 11:44:57 +0200

## eloquent 0.10

=== debian/changelog ===
eloquent (0.10) stable; urgency=medium

  * Updated settings.py some more.

 -- Hans van den Dool <hvddool@uvt.nl>  Thu, 14 Oct 2021 15:25:12 +0200

## eloquent 0.11

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 DOCKER_PYTHONPATH = /var/lib/$(PROJECT_NAME)
 
 dist:
+	docker-compose exec --user $(DOCKER_USER) app ./manage.py makemigrations --check
 	docker-compose exec -T --user $(DOCKER_USER) app tools/make-dist $(VERSION) | tar xCvv /tmp
 
 manage-%:
@@ -43,6 +44,7 @@
 	docker-compose build --pull
 	docker system prune -f
 	docker-compose up -d
+	docker-compose exec app env chown $(PROJECT_NAME).$(PROJECT_NAME) $(DOCKER_PYTHONPATH)/media/mp3
 
 psql: postgres.crt $(PROJECT_NAME).crt $(PROJECT_NAME).key
 	exec psql 'user=$(PROJECT_NAME) host=localhost port=$(POSTGRES_PORT) sslmode=verify-full sslcert=$(PROJECT_NAME).crt sslkey=$(PROJECT_NAME).key sslrootcert=postgres.crt'

=== config/requirements.txt ===
wheel
asgiref==3.3.4
Django==3.2.2
django-crispy-forms==1.11.2
django-filter==2.4.0
django-tables2==2.4.0
pytz==2021.1
sqlparse==0.4.1
psycopg2==2.8.6

=== debian/changelog ===
eloquent (0.11) stable; urgency=medium

  * Removed fallbackresource. Merged with develop.

 -- Hans van den Dool <hvddool@uvt.nl>  Fri, 15 Oct 2021 14:21:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: eloquent
 Section: web
 Priority: optional
-Maintainer: Hans van den Dool <h.m.vdndool@tilburguniversity.edu>
+Maintainer: Hans van den Dool <hvddool@uvt.nl>
 Build-Depends:
 	debhelper,
 	dh-python,

=== debian/rules ===
#! /usr/bin/make -f

%:
	exec dh $@ --with python3 --with apache2 --buildsystem=pybuild

override_dh_auto_build:
	exec dh $@ --with python3 --with apache2 --buildsystem=pybuild

override_dh_auto_test:
	exec python3 manage.py test

## eloquent 0.12

=== debian/changelog ===
eloquent (0.12) stable; urgency=medium

  * Adjusted template path.
  * Adjusted static path.
  * Merged with develop.

 -- Hans van den Dool <hvddool@uvt.nl>  Fri, 22 Oct 2021 11:56:27 +0200

=== debian/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	${misc:Recommends},
 	apache2,
 	libapache2-mod-wsgi-py3,
+	eloquent-media
 Description: Tilburg University Django demo application
  Demonstration / template package for Django applications at
  Tilburg University.

## eloquent 0.19

=== Makefile ===
PROJECT_NAME = eloquent
POSTGRES_PORT = 5415

default: $(PROJECT_NAME).crt postgres.crt

DOCKER_USER = dash
DOCKER_PATH = /var/lib/$(PROJECT_NAME)/node_modules/.bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
DOCKER_PYTHONPATH = /var/lib/$(PROJECT_NAME)

T := $(shell tty >/dev/null || echo -T)

dist:
	docker-compose exec --user $(DOCKER_USER) app ./manage.py makemigrations --check
	docker-compose exec -T --user $(DOCKER_USER) app tools/make-dist $(VERSION) | tar xCvv /tmp

manage-%:
	docker-compose exec $T --user $(DOCKER_USER) app ./manage.py $*

migrate:
	docker-compose exec $T --user $(DOCKER_USER) app ./manage.py migrate

rebuild-migrations:
	docker-compose exec $T --user $(DOCKER_USER) app find . -path "./elo/migrations/*.py" -not -name "__init__.py" -delete
	docker-compose exec $T --user $(DOCKER_USER) app find . -path "./elo/migrations/*.pyc"  -delete
	$(MAKE) migrate
	$(MAKE) manage-makemigrations
	$(MAKE) migrate

superuser:
	docker-compose exec $T --user $(DOCKER_USER) app ./manage.py createsuperuser --email admin@localhost --username admin --noinput

frontend-tests:
	docker-compose exec $T --user $(DOCKER_USER) app npx wdio wdio.conf.js

backend-tests:
	docker-compose exec $T --user $(DOCKER_USER) app ./manage.py test

root:
	docker-compose exec app bash

bash:
	docker-compose exec $T --user $(DOCKER_USER) app env 'PATH=$(DOCKER_PATH)' 'PYTHONPATH=$(DOCKER_PYTHONPATH)' bash

docker: clean
	docker-compose down
	docker-compose build --pull
	docker system prune -f
	docker-compose up -d
	docker-compose exec app env chown $(PROJECT_NAME).$(PROJECT_NAME) $(DOCKER_PYTHONPATH)/media/mp3

psql: postgres.crt $(PROJECT_NAME).crt $(PROJECT_NAME).key
	exec psql 'user=$(PROJECT_NAME) host=localhost port=$(POSTGRES_PORT) sslmode=verify-full sslcert=$(PROJECT_NAME).crt sslkey=$(PROJECT_NAME).key sslrootcert=postgres.crt'

initdb:
	docker-compose exec $T --user postgres app createuser -d $(PROJECT_NAME)
	docker-compose exec $T --user postgres app createdb -O $(PROJECT_NAME) $(PROJECT_NAME)

dropdb:
	docker-compose exec $T --user postgres app dropdb --if-exists $(PROJECT_NAME)
	docker-compose exec $T --user postgres app dropdb --if-exists test_$(PROJECT_NAME)
	docker-compose exec $T --user postgres app dropuser --if-exists $(PROJECT_NAME)

testdb:
	$(MAKE) dropdb
	$(MAKE) initdb
	$(MAKE) migrate
	#docker-compose exec --user $(DOCKER_USER) app ./manage.py loaddata fixtures
	docker-compose exec $T --user $(DOCKER_USER) app ./manage.py loaddata config/language.json
	docker-compose exec $T --user $(DOCKER_USER) app ./manage.py loaddata config/dialect.json
	docker-compose exec $T --user $(DOCKER_USER) app ./manage.py loaddata config/domain.json
	docker-compose exec $T --user $(DOCKER_USER) app ./manage.py loaddata config/word.json

demodb: testdb
	#docker-compose exec $T --user $(DOCKER_USER) app ./manage.py loaddata extra-fixtures

postgres.crt:
	docker-compose exec -T app cat /etc/postgresql/13/main/server.crt >$@.tmp
	test -s $@.tmp && mv $@.tmp $@

$(PROJECT_NAME).crt: $(PROJECT_NAME).csr
	docker-compose exec -T app openssl x509 -req -days 9999 -CA /etc/postgresql/13/main/ca.crt -CAkey /etc/postgresql/13/main/ca.key -CAcreateserial <$< >$@.tmp
	test -s $@.tmp && mv $@.tmp $@

$(PROJECT_NAME).csr: $(PROJECT_NAME).key
	openssl req -new -utf8 -subj /CN=$(PROJECT_NAME) -key $< -verify -out $@

$(PROJECT_NAME).key:
	umask 027 && openssl genrsa -out $@ 2048

factory-reset:
	$(MAKE) docker
	$(MAKE) demodb

tail:
	docker-compose exec app tail -F /var/log/apache2/error.log /var/log/apache2/access.log

clean:
	rm -f postgres.crt $(PROJECT_NAME).crt $(PROJECT_NAME).csr $(PROJECT_NAME).key

.PHONY: default dist dev prod watch manage-% migrate frontend-tests docker psql initdb dropdb testdb demodb clean rebuild-migrations tail

=== debian/changelog ===
eloquent (0.19) stable; urgency=medium

  * Added Delete All button and pagination to practices list.

 -- Hans van den Dool <hvddool@uvt.nl>  Wed, 19 Jan 2022 16:08:38 +0100

eloquent (0.18) stable; urgency=medium

  * Added debugging.

 -- Hans van den Dool <hvddool@uvt.nl>  Tue, 21 Dec 2021 13:35:08 +0100

eloquent (0.17) stable; urgency=medium

  * Fixed settings.py

 -- Hans van den Dool <hvddool@uvt.nl>  Tue, 21 Dec 2021 11:47:23 +0100

eloquent (0.16) stable; urgency=medium

  * Fixed removal of practice words belonging to different ip's

 -- Hans van den Dool <hvddool@uvt.nl>  Tue, 21 Dec 2021 11:28:27 +0100

eloquent (0.15) stable; urgency=medium

  * Fixed session cookie.
  * Fixed mp3 upload.
  * Fixed unwanted automatic cleaning of practice list.

 -- Hans van den Dool <hvddool@uvt.nl>  Mon, 13 Dec 2021 08:28:10 +0100

eloquent (0.14) stable; urgency=medium

  * Updated debian package dependencies.
  * Removed button 'Add words'.
  * Added audio recorder.
  * Fixed search after letter selection.

 -- Hans van den Dool <hvddool@uvt.nl>  Mon, 15 Nov 2021 14:25:15 +0100

eloquent (0.13) stable; urgency=medium

  * Fixed mp3 filenames.
  * No debug messages on production.
  * Only django/django.server warning messages in logfile (syslog on
    production, apache2/error.log on all other environments)

 -- Hans van den Dool <hvddool@uvt.nl>  Mon, 15 Nov 2021 14:11:37 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 Depends:
 	${python3:Depends},
 	${misc:Depends},
+	libjs-jquery,
 	makepasswd,
 	python3-asgiref,
 	python3-psycopg2,
@@ -29,6 +30,5 @@
 	apache2,
 	libapache2-mod-wsgi-py3,
 	eloquent-media
-Description: Tilburg University Django demo application
- Demonstration / template package for Django applications at
- Tilburg University.
+Description: Tilburg University Language Center Pronunciation Application
+ Application to practise the pronunciation of difficult words.

## eloquent 0.20.0

=== debian/changelog ===
eloquent (0.20.0) stable; urgency=medium

  * Fix "django.db.utils.DataError: value too long" error

 -- Wessel Dankers <wsl@uvt.nl>  Thu, 17 Nov 2022 15:11:56 +0100

## eloquent 0.20.1

=== Makefile ===
--- 
+++ 
@@ -19,12 +19,8 @@
 migrate:
 	docker-compose exec $T --user $(DOCKER_USER) app ./manage.py migrate
 
-rebuild-migrations:
-	docker-compose exec $T --user $(DOCKER_USER) app find . -path "./elo/migrations/*.py" -not -name "__init__.py" -delete
-	docker-compose exec $T --user $(DOCKER_USER) app find . -path "./elo/migrations/*.pyc"  -delete
-	$(MAKE) migrate
-	$(MAKE) manage-makemigrations
-	$(MAKE) migrate
+migrations:
+	docker-compose exec $T --user $(DOCKER_USER) app ./manage.py makemigrations
 
 superuser:
 	docker-compose exec $T --user $(DOCKER_USER) app ./manage.py createsuperuser --email admin@localhost --username admin --noinput
@@ -46,7 +42,8 @@
 	docker-compose build --pull
 	docker system prune -f
 	docker-compose up -d
-	docker-compose exec app env chown $(PROJECT_NAME).$(PROJECT_NAME) $(DOCKER_PYTHONPATH)/media/mp3
+	docker-compose exec app mkdir -p $(DOCKER_PYTHONPATH)/media/mp3
+	docker-compose exec app chown $(PROJECT_NAME): $(DOCKER_PYTHONPATH)/media/mp3
 
 psql: postgres.crt $(PROJECT_NAME).crt $(PROJECT_NAME).key
 	exec psql 'user=$(PROJECT_NAME) host=localhost port=$(POSTGRES_PORT) sslmode=verify-full sslcert=$(PROJECT_NAME).crt sslkey=$(PROJECT_NAME).key sslrootcert=postgres.crt'
@@ -97,4 +94,4 @@
 clean:
 	rm -f postgres.crt $(PROJECT_NAME).crt $(PROJECT_NAME).csr $(PROJECT_NAME).key
 
-.PHONY: default dist dev prod watch manage-% migrate frontend-tests docker psql initdb dropdb testdb demodb clean rebuild-migrations tail
+.PHONY: default dist dev prod watch manage-% migrate migrations frontend-tests docker psql initdb dropdb testdb demodb clean tail

=== debian/changelog ===
eloquent (0.20.1) stable; urgency=medium

  * Remove leftover "printf debugging" statements.

 -- Wessel Dankers <wsl@uvt.nl>  Fri, 17 Mar 2023 13:37:06 +0100

## eloquent 0.21

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	docker-compose exec $T --user $(DOCKER_USER) app env 'PATH=$(DOCKER_PATH)' 'PYTHONPATH=$(DOCKER_PYTHONPATH)' bash
 
 docker: clean
-	docker-compose down
+	docker-compose down -t 0 -v
 	docker-compose build --pull
 	docker system prune -f
 	docker-compose up -d
@@ -47,6 +47,9 @@
 
 psql: postgres.crt $(PROJECT_NAME).crt $(PROJECT_NAME).key
 	exec psql 'user=$(PROJECT_NAME) host=localhost port=$(POSTGRES_PORT) sslmode=verify-full sslcert=$(PROJECT_NAME).crt sslkey=$(PROJECT_NAME).key sslrootcert=postgres.crt'
+
+waitdb:
+	docker-compose exec --user $(DOCKER_USER) app sh -ec 'while ! pg_isready -q; do sleep .5;done'
 
 initdb:
 	docker-compose exec $T --user postgres app createuser -d $(PROJECT_NAME)
@@ -86,6 +89,7 @@
 
 factory-reset:
 	$(MAKE) docker
+	$(MAKE) waitdb
 	$(MAKE) demodb
 
 tail:
@@ -94,4 +98,4 @@
 clean:
 	rm -f postgres.crt $(PROJECT_NAME).crt $(PROJECT_NAME).csr $(PROJECT_NAME).key
 
-.PHONY: default dist dev prod watch manage-% migrate migrations frontend-tests docker psql initdb dropdb testdb demodb clean tail
+.PHONY: default dist dev prod watch manage-% migrate migrations frontend-tests docker psql waitdb initdb dropdb testdb demodb clean tail

=== debian/changelog ===
eloquent (0.21) stable; urgency=medium

  * Fixed recorderjs.

 -- Rick Verbon <rverbon@uvt.nl>  Thu, 01 Feb 2024 09:33:24 +0100
